git-migration: pld-git.sh - add rsync action

glen glen at pld-linux.org
Sat Feb 5 15:14:59 CET 2011


Author: glen                         Date: Sat Feb  5 14:14:59 2011 GMT
Module: git-migration                 Tag: HEAD
---- Log message:
- add rsync action

---- Files affected:
git-migration:
   pld-git.sh (1.4 -> 1.5) 

---- Diffs:

================================================================
Index: git-migration/pld-git.sh
diff -u git-migration/pld-git.sh:1.4 git-migration/pld-git.sh:1.5
--- git-migration/pld-git.sh:1.4	Sat Feb  5 13:26:33 2011
+++ git-migration/pld-git.sh	Sat Feb  5 15:14:53 2011
@@ -8,6 +8,19 @@
 CVSROOT=:pserver:cvs at cvs.pld-linux.org:/cvsroot
 d=$-
 
+# get a copy of packages repo for faster local processing
+# modifies: sets up $CVSROOT to be local if used
+cvs_rsync() {
+	set -$d
+
+	CVSROOT=$(pwd)
+
+	[ ! -f cvs.rsync ] || return 0
+	# sync only *,v files and dirs
+	rsync -av rsync://cvs.pld-linux.org/cvs/packages/ packages/ --include=**/*,v --include=**/ --exclude=*
+	touch cvs.rsync
+}
+
 # generate list of .specs on ftp. needs cvsnt client
 # input: $CVSROOT = cvs server location
 # output: $t/cvs.dirs = list of pkgs on cvs
@@ -67,6 +80,7 @@
 		git cvsimport -d $CVSROOT -C git-import/$pkg -R -A cvs.users packages/$pkg || {
 			rm -rf git-import/$pkg
 			echo $pkg >> cvs.blacklist
+			exit 1
 		}
 	done
 }
@@ -90,6 +104,7 @@
 	set -$d
 	local pkg
 
+	git_templates
 	install -d git
 	for pkg in ${@:-$(cat cvs.dirs)}; do
 		grep -qF $pkg git.blacklist && continue
@@ -145,9 +160,15 @@
 	touch git.users
 }
 
+
 cvs_pkgs
 cvs_users
+
+cvs_rsync
+
 git_import "$@"
-git_missingusers
-git_templates
+
+# missingusers needed only to analyze missing users file
+#git_missingusers
+
 git_bare "$@"
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/git-migration/pld-git.sh?r1=1.4&r2=1.5&f=u



More information about the pld-cvs-commit mailing list